Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class UserIdGroupPair

    java.lang.Object
      com.amazonaws.services.ec2.model.UserIdGroupPair

    public class UserIdGroupPair

extends Object

An AWS user ID identifiying an AWS account, and the name of a security group within that account.

Constructor Summary
`UserIdGroupPair()`

Method Summary
`String` | `getGroupName()` The name of the security group in the specified user's account.
`String` | `getUserId()` The AWS user ID of an account.
`void` | `setGroupName(String groupName)` The name of the security group in the specified user's account.
`void` | `setUserId(String userId)` The AWS user ID of an account.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`UserIdGroupPair` | `withGroupName(String groupName)` The name of the security group in the specified user's account.
`UserIdGroupPair` | `withUserId(String userId)` The AWS user ID of an account.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserIdGroupPair

    public UserIdGroupPair()

Method Detail

### getUserId

    public String getUserId()

  The AWS user ID of an account.

  Returns:
    The AWS user ID of an account.

### setUserId

    public void setUserId(String userId)

  The AWS user ID of an account.

  Parameters:
    `userId` - The AWS user ID of an account.

### withUserId

    public UserIdGroupPair withUserId(String userId)

  The AWS user ID of an account.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `userId` - The AWS user ID of an account.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getGroupName

    public String getGroupName()

  The name of the security group in the specified user's account.

  Returns:
    The name of the security group in the specified user's account.

### setGroupName

    public void setGroupName(String groupName)

  The name of the security group in the specified user's account.

  Parameters:
    `groupName` - The name of the security group in the specified user's account.

### withGroupName

    public UserIdGroupPair withGroupName(String groupName)

  The name of the security group in the specified user's account.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `groupName` - The name of the security group in the specified user's account.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.